
Ryzom - Bug # 17

Status: Closed Priority: Normal
Author: kaetemi Category: NeL: General
Created: 09/03/2008 Assignee: kaetemi
Updated: 09/30/2010 Due date:
Subject: Cannot link multiple static sound drivers
Description

Selecting between different static sound drivers is not yet implemented.

History
#1 - 09/03/2008 09:19 am - kervala
- Target version set to Version 0.7.0

kaetemi wrote:

Selecting between different static sound drivers is not yet implemented.

I'm not sure it should be a good idea to propose several static sound drivers at once.

Or perhaps should we change the way static drivers are registered.

#2 - 09/03/2008 12:00 pm - kaetemi

Well, you can already statically link multiple 3d drivers, so it sounds pretty logic to have the same for sound ;)

#3 - 09/14/2008 09:50 pm - kaetemi
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r279.

#4 - 09/14/2008 09:57 pm - kaetemi
- Status changed from Resolved to Closed

NLSOUND now links multiple static drivers, similarly to static NL3D drivers.
Don't forget to add all available drivers as dependency to your application.

Required libraries:
fmodvc.lib openal32.lib dsound.lib x3daudio.lib ogg_static.lib vorbis_static.lib vorbisfile_static.lib
FMod: fmodvc.lib
OpenAl: openal32.lib
DSound: dsound.lib
XAudio2: x3daudio.lib

To disable a driver's availability, see sound_driver.cpp in sound_lowlevel

#5 - 09/29/2010 09:04 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Sound)
- Target version deleted (Version 0.7.0)

#6 - 09/30/2010 09:12 am - kervala
- Category set to NeL: General
- Target version set to Version 0.7.0
